跳转到主要内容
POST
Get Macro Indicators

请求规范

  • 方法与路径: POST /apis/v1/eodhd/apis-get-macro-indicators
  • 可用状态: enabled
  • 请求 URL 模板: https://api.aisa.one/apis/v1/eodhd/apis-get-macro-indicators
  • Runtime 事实版本: 477375ac04cef4c9a26fb7f3e3fe5c882846fe5178ba5e55922865c978a934b3
完整 OpenAPI 定义 有效请求与价格声明(包括认证和引用的 schema):

费用与请求规则

按用量计费;默认请求预估费用:$0.0006 USD(不是固定价格)。 声明的单位费率:每 provider_credit $0.000001 USD。 最终费用以账户适用价格及实际结算为准。 公开参考值不是你的账户报价或最终扣费。对于支持 X-AISA-Cost-Mode: quote 的接口,执行前请针对完整请求获取免费报价;执行后通过响应费用元数据和 Usage Logs 核对结算费用。1 USD 等于 1,000,000 个整数 micro-USD。
  • 默认请求参考估价(USD): 0.0006
  • 声明的单位费率(USD): 1e-06
  • 计费单位: provider_credit
  • 计费依据: response_units
  • 公开参考倍率: 1.0
  • 声明的最大计数或单位数: 10000000
  • 结算证据来源: response_body

授权

Authorization
string
header
必填

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

请求体

application/json
country
string
必填

ISO 3166-1 alpha-3 country code (3 letters) for which to retrieve indicators. Examples: 'USA' (United States), 'GBR' (United Kingdom), 'DEU' (Germany), 'FRA' (France), 'JPN' (Japan), 'CHN' (China), 'IND' (India), 'BRA' (Brazil), 'CAN' (Canada), 'AUS' (Australia).

示例:

"USA"

"GBR"

"DEU"

indicator
string
默认值:gdp_current_usd

Macroeconomic indicator code to retrieve. Available indicators include: 'gdp_current_usd' (GDP in current USD, default), 'gdp_per_capita_usd' (GDP per capita), 'real_gdp_per_capita' (Real GDP per capita), 'gdp_growth_annual' (Annual GDP growth %), 'inflation_consumer_prices_annual' (Consumer price inflation %), 'unemployment_total_percent' (Unemployment rate %), 'population_total' (Total population), 'life_expectancy' (Life expectancy at birth), 'gni_current_usd' (Gross National Income), 'exports_of_goods_services_percent_gdp' (Exports % of GDP), 'imports_of_goods_services_percent_gdp' (Imports % of GDP), 'real_interest_rate' (Real interest rate %), 'central_government_debt_percent_gdp' (Government debt % of GDP), 'net_migration' (Net migration), and many more.

示例:

"gdp_current_usd"

"inflation_consumer_prices_annual"

"unemployment_total_percent"

响应

Tool result data

Period
string
必填
Indicator
string
必填
CountryCode
string
必填
Value
number
CountryName
string